Subject: [dhcwg] [Editorial Errata Reported] RFC6603 (3332)

From: RFC Errata System <[email-masked]>
Date: Sat, 1 Sep 2012 05:11:10 -0700 (PDT)

The following errata report has been submitted for RFC6603,
"Prefix Exclude Option for DHCPv6-based Prefix Delegation".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6603&eid=3332

--------------------------------------
Type: Editorial
Reported by: Gaurav Halwasia <[email-masked]>

Section: 4.2

Original Text
-------------
   Any prefix excluded from the delegated prefix MUST be contained in
   OPTION_PD_EXCLUDE options within the corresponding OPTION_IAPREFIX.

Corrected Text
--------------
   Any prefix excluded from the delegated prefix MUST be contained in
   OPTION_PD_EXCLUDE option within the corresponding OPTION_IAPREFIX.

Notes
-----
As per this specification OPTION_PD_EXCLUDE option is used to exclude exactly one prefix from a delegated prefix. So as per this specification only one instance of OPTION_PD_EXCLUDE option can be present within OPTION_IAPREFIX.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6603 (draft-ietf-dhc-pd-exclude-04)
--------------------------------------
Title               : Prefix Exclude Option for DHCPv6-based Prefix Delegation
Publication Date    : May 2012
Author(s)           : J. Korhonen, Ed., T. Savolainen, S. Krishnan, O. Troan
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Jouni <[email-masked]>
Date: Sun, 2 Sep 2012 15:03:46 +0300

The errata is correct and should be accepted. In section 4.1 it is
specifically stated that "There can be at most one OPTION_PD_EXCLUDE
option in one OPTION_IAPREFIX option."

- Jouni

---

From: Brian Haberman <[email-masked]>
Date: Sun, 02 Sep 2012 08:28:30 -0400

Hi Jouni,
      I agree that this is an error.  The question is whether it can 
demonstrably cause an implementation error.  If it can, then it should 
be accepted.  If it is easily recognized as a typo, it should classified 
as "hold for document update".

Regards,
Brian

---

From: Jouni <[email-masked]>
Date: Sun, 2 Sep 2012 17:57:40 +0300

Brian,

I say it is easily recognized as a typo. The text in the option
introduction in Section 4.1 is very clear. So, ok with "hold for
document update".

- Jouni

On Sep 2, 2012, at 3:28 PM, Brian Haberman wrote:

> Hi Jouni,
>     I agree that this is an error.  The question is whether it can demonstrably cause an implementation error.  If it can, then it should be accepted.  If it is easily recognized as a typo, it should classified as "hold for document update".
> 
> Regards,
> Brian
>